#include<bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    deque<int> dq; //back front
    for(int i=1;i<=2*n;i++){
        dq.push_back(i);
    }
    vector<int> levo(n);
    vector<int> desno(n);
    for(int i=1;i<n;i+=2){
        levo[i] = dq.front();
        desno[i] = dq.back();
        dq.pop_front();
        dq.pop_back();
    }
    for(int i=0;i<n;i+=2){
        levo[i] = dq.back();
        dq.pop_back();
    }
    for(int i=0;i<n;i+=2){
        desno[i] = dq.back();
        dq.pop_back();
    }


    for(int l: levo){
        cout<<l;
        if(l!=levo[n-1])
            cout<<" ";
    }
    cout<<endl;
    for(int d: desno){
        cout<<d;
        if(d!=desno[n-1])
            cout<<" ";
    }
    cout<<endl;
    /*
    auto it = levo.begin()+1;
    int s = 0;
    while(it < levo.end()){
        s+=abs(*it - *(it-1));
        it++;
    }
    auto it2 = desno.begin()+1;
    while(it2 < desno.end()){
        s+=abs(*it2 - *(it2-1));
        it2++;
    }
    cout<<s<<endl;
    */
}